﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
DATE:                  2012-07-16 09:20:34
AUTHOR:                Fluke
REVISION:              $Revision: 23524 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       240
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO5034, DPO5054
#        MSO5034, MSO5054
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {ANALOG BANDWIDTH: Channel [V @Chan], 50 Ohm}
  1.003  RSLT         =
  1.004  HEAD         -2 1 mV/div
  1.005  TARGET
  1.006  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.007  VISA         CH[V @Chan]:TER 50;SCA 1E-3
  1.008  VISA         HOR:SCA 10E-6
  1.009  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  1.010  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2P;STATE ON
  1.011  VISA         MEASU:STATI:MODE VALUEMEAN
  1.012  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
  1.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.014  JMPL         END                          @Abort
# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
  1.015  9500         8mVpp                        50kH           LS    S  L
  1.016  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  1.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.018  JMPL         END                          @Abort
  1.019  VISA         MEASU:MEAS1:MEAN?[I]
  1.020  MATH         L[1] = MEM
  1.021  VISA         HOR:SCA 5E-9
# Last calibrator amplitude setting is in MEM1.
  1.022  MATH         MEM = MEM1
  1.023  9500         mVpp                         175MH          LS    S  L
  1.024  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  1.025  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.026  JMPL         END                          @Abort
  1.027  VISA         MEASU:MEAS1:MEAN?[I]
  1.028  MATH         L[2] = MEM
  1.029  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 mV/div

  2.001  HEAD         -2 2 mV/div
  2.002  TARGET
  2.003  VISA         CH[V @Chan]:SCA 2E-3
  2.004  VISA         HOR:SCA 10E-6
  2.005  9500         16mVpp                       50kH           LS    S  L
  2.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  2.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.008  JMPL         END                          @Abort
  2.009  VISA         MEASU:MEAS1:MEAN?[I]
  2.010  MATH         L[1] = MEM
  2.011  VISA         HOR:SCA 2.5E-9
  2.012  MATH         MEM = MEM1
  2.013  9500         mVpp                         350MH          LS    S  L
  2.014  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  2.015  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.016  JMPL         END                          @Abort
  2.017  VISA         MEASU:MEAS1:MEAN?[I]
  2.018  MATH         L[2] = MEM
  2.019  EVAL   -e (L[2] / L[1]) >= 0.707 : 2 mV/div

  3.001  HEAD         -2 5 mV/div
  3.002  TARGET
  3.003  VISA         CH[V @Chan]:SCA 5E-3
  3.004  VISA         HOR:SCA 10E-6
  3.005  9500         40mVpp                       50kH           LS    S  L
  3.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  3.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.008  JMPL         END                          @Abort
  3.009  VISA         MEASU:MEAS1:MEAN?[I]
  3.010  MATH         L[1] = MEM
  3.011  VISA         HOR:SCA 1E-9
  3.012  MATH         MEM = MEM1

  3.013  IF           @Bandwidth == 350E+6
  3.014  9500         mVpp                         350MH          LS    S  L
  3.015  ELSE
  3.016  9500         mVpp                         500MH          LS    S  L
  3.017  ENDIF

  3.018  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  3.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.020  JMPL         END                          @Abort
  3.021  VISA         MEASU:MEAS1:MEAN?[I]
  3.022  MATH         L[2] = MEM
  3.023  EVAL   -e (L[2] / L[1]) >= 0.707 : 5 mV/div

  4.001  HEAD         -2 10 mV/div
  4.002  TARGET
  4.003  VISA         CH[V @Chan]:SCA 10E-3
  4.004  VISA         HOR:SCA 10E-6
  4.005  9500         80mVpp                       50kH           LS    S  L
  4.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  4.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.008  JMPL         END                          @Abort
  4.009  VISA         MEASU:MEAS1:MEAN?[I]
  4.010  MATH         L[1] = MEM
  4.011  VISA         HOR:SCA 1E-9
  4.012  MATH         MEM = MEM1

  4.013  IF           @Bandwidth == 350E+6
  4.014  9500         mVpp                         350MH          LS    S  L
  4.015  ELSE
  4.016  9500         mVpp                         500MH          LS    S  L
  4.017  ENDIF

  4.018  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  4.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.020  JMPL         END                          @Abort
  4.021  VISA         MEASU:MEAS1:MEAN?[I]
  4.022  MATH         L[2] = MEM
  4.023  EVAL   -e (L[2] / L[1]) >= 0.707 : 10 mV/div

  5.001  HEAD         -2 50 mV/div
  5.002  TARGET
  5.003  VISA         CH[V @Chan]:SCA 50E-3
  5.004  VISA         HOR:SCA 10E-6
  5.005  9500         400mVpp                      50kH           LS    S  L
  5.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  5.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.008  JMPL         END                          @Abort
  5.009  VISA         MEASU:MEAS1:MEAN?[I]
  5.010  MATH         L[1] = MEM
  5.011  VISA         HOR:SCA 1E-9
  5.012  MATH         MEM = MEM1

  5.013  IF           @Bandwidth == 350E+6
  5.014  9500         mVpp                         350MH          LS    S  L
  5.015  ELSE
  5.016  9500         mVpp                         500MH          LS    S  L
  5.017  ENDIF

  5.018  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  5.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.020  JMPL         END                          @Abort
  5.021  VISA         MEASU:MEAS1:MEAN?[I]
  5.022  MATH         L[2] = MEM
  5.023  EVAL   -e (L[2] / L[1]) >= 0.707 : 50 mV/div

  6.001  HEAD         -2 100 mV/div
  6.002  TARGET
  6.003  VISA         CH[V @Chan]:SCA 100E-3
  6.004  VISA         HOR:SCA 10E-6
  6.005  9500         800mVpp                      50kH           LS    S  L
  6.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  6.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.008  JMPL         END                          @Abort
  6.009  VISA         MEASU:MEAS1:MEAN?[I]
  6.010  MATH         L[1] = MEM
  6.011  VISA         HOR:SCA 1E-9
  6.012  MATH         MEM = MEM1

  6.013  IF           @Bandwidth == 350E+6
  6.014  9500         mVpp                         350MH          LS    S  L
  6.015  ELSE
  6.016  9500         mVpp                         500MH          LS    S  L
  6.017  ENDIF

  6.018  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  6.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.020  JMPL         END                          @Abort
  6.021  VISA         MEASU:MEAS1:MEAN?[I]
  6.022  MATH         L[2] = MEM
  6.023  EVAL   -e (L[2] / L[1]) >= 0.707 : 100 mV/div

  7.001  HEAD         -2 1 V/div
  7.002  TARGET
  7.003  VISA         CH[V @Chan]:SCA 1
  7.004  VISA         HOR:SCA 10E-6
  7.005  9500         5Vpp                         50kH           LS    S  L
  7.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  7.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.008  JMPL         END                          @Abort
  7.009  VISA         MEASU:MEAS1:MEAN?[I]
  7.010  MATH         L[1] = MEM
  7.011  VISA         HOR:SCA 1E-9
  7.012  MATH         MEM = MEM1

  7.013  IF           @Bandwidth == 350E+6
  7.014  9500         Vpp                          350MH          LS    S  L
  7.015  ELSE
  7.016  9500         Vpp                          500MH          LS    S  L
  7.017  ENDIF

  7.018  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  7.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.020  JMPL         END                          @Abort
  7.021  VISA         MEASU:MEAS1:MEAN?[I]
  7.022  MATH         L[2] = MEM
  7.023  MATH         Gain = L[2] / L[1]
  7.024  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 V/div

  8.001  LABEL        END
  8.002  HEAD         -2
  8.003  HEAD
  8.004  9500         *                                                 S
  8.005  END
