﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5034/5054 (1 yr) VER VISA /9500+4Hd
DATE:                  2019-04-19 08:47:14
AUTHOR:                Fluke
REVISION:              $Revision: 27038 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       299
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        DPO5034, DPO5054
#        MSO5034, MSO5054
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Tek MSO/DPO5000 Remote Interface Connection
#        Sub IEEE-488.2 *IDN? VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 *IDN? Check Response
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub Tek MSO/DPO5000 Preliminary Instructions
#        Sub Tek MSO/DPO5000 Additional Equipment Req.
#        Sub Tek MDO/MSO/DPO Self-Test VISA
#        Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
#        Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
#        Sub Tek DPO5000 (1 yr) DC Balance VER VISA
#        Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
#        Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
#        Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
#        Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /9500
#        Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
#        Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
#        Sub Tek DPO5000 (1 yr) Trigger Output VISA
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea)
#
#  The procedure was tested using:
#        None
#
#  Average run time during testing w/o SPC: <tbd> minutes (TAR mode)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3.38"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright

  1.017  MATH         @VisaUSB = 1; @VisaLAN = 1
  1.018  CALL         Sub Tek MSO/DPO5000 Remote Interface Connection
  1.019  JMPL         END                          @Abort

  1.020  VISA         *RST

  1.021  CALL         Sub IEEE-488.2 *IDN? VISA
  1.022  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.023  JMPL         END                          @Abort

  1.024  CALL         Sub High Voltage Safety Warning
  1.025  CALL         Sub Select Failed Test Mode
  1.026  CALL         Sub Select Verification Method (No NTHROW)
  1.027  CALL         Sub Tek MSO/DPO5000 Preliminary Instructions
  1.028  CALL         Sub Tek MSO/DPO5000 Additional Equipment Req.

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   INPUT IMPEDANCE: Ch1               RANDOM NOISE: Ch1
#    4.   INPUT IMPEDANCE: Ch2               RANDOM NOISE: Ch2
#    5.   INPUT IMPEDANCE: Ch3               RANDOM NOISE: Ch3
#    6.   INPUT IMPEDANCE: Ch4               RANDOM NOISE: Ch4
#    7.   DC BALANCE: Ch1                    DC BALANCE: Ch1
#    8.   DC BALANCE: Ch2                    DC BALANCE: Ch2
#    9.   DC BALANCE: Ch3                    DC BALANCE: Ch3
#   10.   DC BALANCE: Ch4                    DC BALANCE: Ch4
#   11.   DCV GAIN ACC: Ch1                  INPUT IMPEDANCE: Ch1
#   12.   DCV GAIN ACC: Ch2                  INPUT IMPEDANCE: Ch2
#   13.   DCV GAIN ACC: Ch3                  INPUT IMPEDANCE: Ch3
#   14.   DCV GAIN ACC: Ch4                  INPUT IMPEDANCE: Ch4
#   15.   DC OFFSET: Ch1                     DCV GAIN ACC: Ch1
#   16.   DC OFFSET: Ch2                     DCV GAIN ACC: Ch2
#   17.   DC OFFSET: Ch3                     DCV GAIN ACC: Ch3
#   18.   DC OFFSET: Ch4                     DCV GAIN ACC: Ch4
#   19.   BANDWIDTH: Ch1                     DC OFFSET: Ch1
#   20.   BANDWIDTH: Ch2                     DC OFFSET: Ch2
#   21.   BANDWIDTH: Ch3                     DC OFFSET: Ch3
#   22.   BANDWIDTH: Ch4                     DC OFFSET: Ch4
#   23.   SAMPLE RATE AND DELAY TIME         BANDWIDTH: Ch1
#   24.   RANDOM NOISE: Ch1                  BANDWIDTH: Ch2
#   25.   RANDOM NOISE: Ch2                  BANDWIDTH: Ch3
#   26.   RANDOM NOISE: Ch3                  BANDWIDTH: Ch4
#   27.   RANDOM NOISE: Ch4                  DELTA TIME: Ch1
#   28.   DELTA TIME: Ch1                    DELTA TIME: Ch2
#   29.   DELTA TIME: Ch2                    DELTA TIME: Ch3
#   30.   DELTA TIME: Ch3                    DELTA TIME: Ch4
#   31.   DELTA TIME: Ch4                    SAMPLE RATE AND DELAY TIME
#   32.   TRIGGER OUTPUT                     TRIGGER OUTPUT

  1.029  MATH         @Timeout = 10000

  1.030  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.031  JMPL         END                          @Abort

  1.032  CALL         Sub Tek MDO/MSO/DPO Self-Test VISA
  1.033  JMPL         END                          @Abort

  1.034  IF           ISVAR("@Timer")
  1.035  MATH         @StartTime = UTIME()
  1.036  ENDIF

  1.037  MATH         @MultiHead = 1
  1.038  JMPL         RANDOM_NOISE

  1.039  LABEL        INPUT_IMPEDANCE
  1.040  MATH         @Chan = 1
  1.041  M9500                       CH1
  1.042  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.043  MATH         @Chan = 2
  1.044  M9500                       CH2
  1.045  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.046  MATH         @Chan = 3
  1.047  M9500                       CH3
  1.048  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.049  MATH         @Chan = 4
  1.050  M9500                       CH4
  1.051  CALL         Sub Tek DPO5000 (1 yr) Input Impedance VER VISA /9500
  1.052  JMPL         DCV_GAIN

  1.053  LABEL        DC_BALANCE
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.056  JMPL         END                          @Abort
  1.057  MATH         @Chan = 2
  1.058  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.059  JMPL         END                          @Abort
  1.060  MATH         @Chan = 3
  1.061  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.062  JMPL         END                          @Abort
  1.063  MATH         @Chan = 4
  1.064  CALL         Sub Tek DPO5000 (1 yr) DC Balance VER VISA
  1.065  JMPL         END                          @Abort
  1.066  JMPL         INPUT_IMPEDANCE

  1.067  LABEL        DCV_GAIN
  1.068  MATH         @Chan = 1
  1.069  M9500                       CH1
  1.070  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.071  JMPL         END                          @Abort
  1.072  MATH         @Chan = 2
  1.073  M9500                       CH2
  1.074  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.075  JMPL         END                          @Abort
  1.076  MATH         @Chan = 3
  1.077  M9500                       CH3
  1.078  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.079  JMPL         END                          @Abort
  1.080  MATH         @Chan = 4
  1.081  M9500                       CH4
  1.082  CALL         Sub Tek DPO5000 (1 yr) DCV Gain Acc VER VISA /9500
  1.083  JMPL         END                          @Abort

  1.084  MATH         @Chan = 1
  1.085  M9500                       CH1
  1.086  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.087  JMPL         END                          @Abort
  1.088  MATH         @Chan = 2
  1.089  M9500                       CH2
  1.090  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.091  JMPL         END                          @Abort
  1.092  MATH         @Chan = 3
  1.093  M9500                       CH3
  1.094  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.095  JMPL         END                          @Abort
  1.096  MATH         @Chan = 4
  1.097  M9500                       CH4
  1.098  CALL         Sub Tek DPO5000 (1 yr) Offset Acc VER VISA /9500
  1.099  JMPL         END                          @Abort

  1.100  MATH         @Chan = 1
  1.101  M9500                       CH1
  1.102  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.103  JMPL         END                          @Abort
  1.104  MATH         @Chan = 2
  1.105  M9500                       CH2
  1.106  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.107  JMPL         END                          @Abort
  1.108  MATH         @Chan = 3
  1.109  M9500                       CH3
  1.110  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.111  JMPL         END                          @Abort
  1.112  MATH         @Chan = 4
  1.113  M9500                       CH4
  1.114  CALL         Sub Tek DPO5034/5054 (1 yr) Bandwidth VER VISA /9500+S6
  1.115  JMPL         END                          @Abort
  1.116  JMPL         DELTA_TIME

  1.117  LABEL        SAMPLE_RATE
  1.118  MATH         @Chan = 1
  1.119  M9500                       CH1
  1.120  CALL         Sub Tek DPO5000 (1 yr) Sample Rate VER VISA /9500
  1.121  JMPL         TRIGGER_OUTPUT

  1.122  LABEL        RANDOM_NOISE
  1.123  MATH         @Chan = 1
  1.124  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.125  MATH         @Chan = 2
  1.126  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.127  MATH         @Chan = 3
  1.128  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.129  MATH         @Chan = 4
  1.130  CALL         Sub Tek DPO5034/5054 (1 yr) Random Noise VER VISA
  1.131  JMPL         DC_BALANCE

  1.132  LABEL        DELTA_TIME
  1.133  MATH         @Chan = 1
  1.134  M9500                       CH1
  1.135  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
  1.136  MATH         @Chan = 2
  1.137  M9500                       CH2
  1.138  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
  1.139  MATH         @Chan = 3
  1.140  M9500                       CH3
  1.141  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
  1.142  MATH         @Chan = 4
  1.143  M9500                       CH4
  1.144  CALL         Sub Tek DPO5000 (1 yr) Delta Time Acc VER VISA /9500
  1.145  JMPL         SAMPLE_RATE

  1.146  LABEL        TRIGGER_OUTPUT
  1.147  CALL         Sub Tek DPO5000 (1 yr) Trigger Output VISA

  1.148  LABEL        END

  1.149  IF           ISVAR("@Timer")
  1.150  MATH         @StopTime = UTIME()
  1.151  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
  1.152  RSLT         =
  1.153  RSLT         =Elapsed Time: [V ElapsedTime]
  1.154  ENDIF

  1.155  END
